#!/home/dugger/.conda/envs/tomopy/bin/python3
import tomopy
import dxchange
import matplotlib.pyplot as plt
import logging
logging.basicConfig(level=logging.INFO)


proj, flat, dark, theta = dxchange.read_aps_32id(
    fname='./myOutFile.h5',
    sino=(0, 1),  # Select the sinogram range to reconstruct.
)

#plt.imshow(proj[:, 0, :])
#plt.show()

if theta is None:
    theta = tomopy.angles(proj.shape[0])


proj = tomopy.normalize(proj, flat, dark)

proj = tomopy.minus_log(proj)

#rot_center = tomopy.find_center(proj, theta, init=290, ind=0, tol=0.5)
#rot_center = 296.3
rot_center = 320.5

#print("rot_center = ", rot_center)

recon = tomopy.recon(proj, theta, center=rot_center, algorithm='gridrec', sinogram_order=False)
#recon = tomopy.recon(proj, theta, center=rot_center, algorithm='fbp', sinogram_order=False)
maxVal = recon.max()
minVal = recon.min()
print(maxVal)
print(minVal)
recon = tomopy.circ_mask(recon, axis=0, ratio=0.95)
print(recon)
#plt.imshow(recon[0, :, :],cmap='gray', vmin = -0.04, vmax = 0.04)
#plt.imshow(recon[0, :, :],cmap='gray', vmin = minVal, vmax = maxVal)
plt.imshow(recon[0, :, :])
#plt.imshow(recon[0, :, :],cmap='gray', vmin = 7000, vmax = 30000)
plt.xlim([320-200,320+200])
plt.ylim([320-200,320+200])

plt.show()

exit
